package com.gic.haoban.manage.service.service.chat;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.chat.GroupChatDataDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.ChatDataSearchQDTO;

public interface GroupChatDataService {

    /**
     * 
    * @Title: chatDataTimer
    * @Description: 统计
    * @author xugh
    * @param params
    * @throws
     */
    public void chatDataTimer(String params);

    public GroupChatDataDTO listTotalData(ChatDataSearchQDTO qdto);

    public List<GroupChatDataDTO> listForChat(ChatDataSearchQDTO qdto);

    public Page<GroupChatDataDTO> listStaffData(ChatDataSearchQDTO qdto, BasePageInfo basePageInfo);

    void groupChatQuitTimer(String params);
}